Name:           gnome-applet-rhythmbox
Version:        0.1.11
Release:        1%{?dist}
Summary:        A GNOME panel applet to control Rhythmbox's playback

Group:          Applications/Multimedia
License:        GPL
URL:            http://web.ics.purdue.edu/~kuliniew/rhythmbox-applet/
Source0:        http://web.ics.purdue.edu/~kuliniew/rhythmbox-applet/downloads/rhythmbox-applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-panel-devel eel2-devel rhythmbox dbus-devel
#Requires:       
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Rhythmbox Applet is a small, simple GNOME panel applet that lets you control
Rhythmbox's playback from a panel.

%prep
%setup -q -n rhythmbox-applet-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang rhythmbox-applet

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/rhythmbox-applet.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/rhythmbox-applet.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/rhythmbox-applet.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%files -f rhythmbox-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/rhythmbox-applet
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Mon Feb 20 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1.11-1
- Upstream update
- Fix GConf handling

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1.10-1
- Upstream update

* Mon Aug 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1.7-2
- Added patch to fix build with GTK+ 2.8.0

* Thu Jul  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1.7-1
- Initial RPM release
